<?php 

function theme_uc_ajax_cart_attributes( $item, $options )
{
	foreach ( $options as $option )
	{
		$attribute = uc_attribute_load($option->aid) ;
		$items[] = $attribute->name .': '. $option->name ;
	}
	
	return theme('item_list',$items, null, 'ul' , array('class' => 'product-description'));
}

function theme_uc_ajax_cart_cart_links()
{
    $items[] = array( 
     	'data' => l(t('View cart'),'cart',array('attributes' => array('rel' => 'nofollow'))),
    	'class' => 'cart-block-view-cart'
    );
    // Only add the checkout link if checkout is enabled.
    if (variable_get('uc_checkout_enabled', TRUE)) 
    {
     	$items[] = array( 
     		'data' => l(t('Checkout'),'cart/checkout',array('attributes' => array('rel' => 'nofollow'))),
     		'class' => 'cart-block-checkout'
     	);
    }
	return theme('item_list',$items,null,'ul',array('class' => 'links'));
}


function uc_ajax_cart_preprocess_uc_ajax_cart_block_content( &$vars )
{
	$cartContent = $vars['items'] ;
	$items = array();
	
    $context = array(
      'revision' => 'themed',
      'type' => 'price',
    );
    
    $total = 0 ;
    $total_items = 0 ;

	foreach ( $cartContent as $item )
	{
		$context['subject'] = array(
        	'cart_item' => $item,
        	'node' => node_load($item->nid)
      	);
      	$attributes = array();
      	if ( module_exists('uc_attribute') 
      		&& is_array($item->data['attributes'])
      		&& count($item->data['attributes']) > 0 )
      	{
      		foreach ( $item->data['attributes'] as $aid => $oid )
      		{
      			$attributes[] = uc_attribute_option_load($oid, $item->nid, 'product');
      		}
      	}
      	$total += $item->qty * $item->price ;
      	$items_total += $item->qty ;
		$items[] = array
		(
			'link' 			=> url('node/'.$item->nid ),
			'item' 			=> $item ,
			'title' 		=> $item->title ,
			'context' 		=> $context,
			'price'   		=> uc_price($item->price, $context),
			'descr'   		=> $item->descr ,
			'node'	  		=> node_load($item->nid),
			'qty'	  		=> $item->qty ,
			'total'	  		=> uc_price($item->qty * $item->price,$context) ,
			'attributes' 	=> (is_array($attributes) && count($attributes)>0) ? theme('uc_ajax_cart_attributes' , $item , $attributes ) : '' ,
			'remove_link' 	=> l(t('Remove product'),
							  UC_AJAX_CART_REMOVE_CALLBACK,
							  array(
							  		'attributes' => 
							  				array(
							  						'onclick' => "ajaxCartBlockUIRemove(this.href);return false; ",
							  						'class'	  => 'remove-cart-link remove-cart-link-' . $item->nid
							  				),
							  		'query' => array( 
							  			'nid' => $item->nid , 
							  			'destination' => $_GET['q'],
							  			'data' => base64_encode(serialize($item->data)), 'action' => 'remove' )) 
							  		) 
		);
	}
	$context = array(
    	'revision' => 'themed-original',
    	'type' => 'amount',
  	);
	$vars['total'] = uc_price($total,$context) ;
	$vars['items'] = $items ;
	$vars['items_total'] = $items_total ;
	$vars['cart_links'] = theme('uc_ajax_cart_cart_links') ;
	$vars['items_text'] = format_plural($items_total, '<span class="num-items">@count</span> Item', '<span class="num-items">@count</span> Items');
}